I found the steps to downgrade in the Firmware > Bugs forum.  Based on a post from another user, I went back to firmware version 2.6, and my FLIRC was usable again.  A firmware downgrade was the only thing that worked for me, so hopefully it's OK to post this: Download and install the GUI+Firmware version you want from http://downloads.flirc.tv/release/gui/ Open a command prompt, change to the FLIRC directory, and run flirc_util dfu Start the FLIRC GUI When the GUI starts, it will det